commit:     40746b27cb9856c6be71ac75bda2094ebd24b8cb
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  3 14:18:28 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Jul  3 15:00:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40746b27

dev-perl/BSD-Resource: -r bump for CFLAGS love

- Ensure CFLAGS passed to make/compiler

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 .../BSD-Resource/BSD-Resource-1.291.100-r2.ebuild  | 26 ++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-perl/BSD-Resource/BSD-Resource-1.291.100-r2.ebuild 
b/dev-perl/BSD-Resource/BSD-Resource-1.291.100-r2.ebuild
new file mode 100644
index 00000000000..a4ab2219cf2
--- /dev/null
+++ b/dev-perl/BSD-Resource/BSD-Resource-1.291.100-r2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=JHI
+DIST_VERSION=1.2911
+inherit perl-module
+
+DESCRIPTION="Perl module for BSD process resource limit and priority functions"
+LICENSE="|| ( Artistic-2 LGPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+BDEPEND="virtual/perl-ExtUtils-MakeMaker"
+
+PERL_RM_FILES=(
+       "t/pod.t"
+       "t/pod-coverage.t"
+)
+src_compile() {
+       mymake=(
+               "OPTIMIZE=${CFLAGS}"
+       )
+       perl-module_src_compile
+}

Reply via email to